package cn.com.qmth.stmms.biz.exam.service;

import java.util.List;

import cn.com.qmth.stmms.biz.exam.model.CheckStudent;
import cn.com.qmth.stmms.biz.exam.query.CheckStudentSearchQuery;
import cn.com.qmth.stmms.common.enums.CheckType;

public interface CheckStudentService {

    CheckStudent save(CheckStudent student);

    List<CheckStudent> findByExamIdAndCheckedAndType(int examId, boolean checked, CheckType type);

    void deleteByStudentId(int examId);

    CheckStudent findByStudentId(Integer studentId);

    long countByExamIdAndChecked(int examId, boolean checked);

    public CheckStudentSearchQuery findByQuery(CheckStudentSearchQuery query);

    long countByExamIdAndSubjectCodeAndChecked(int examId, String subjectCode, boolean checked);

    List<String> findCheckSubjectCode(int examId);

    List<CheckStudent> findByExamIdAndSubjectCodeAndCheckedAndType(int examId, String subjectCode, boolean checked,
            CheckType type);

}
